# coding: utf-8
import django.core.exceptions
import os
import sys

from django.conf import LazySettings


def load_django():
    try:
        LazySettings()._setup()
    except django.core.exceptions.ImproperlyConfigured:
        SRC_DIR = os.path.dirname(os.path.dirname(__file__))
        sys.path.append(SRC_DIR)
        os.environ['DJANGO_SETTINGS_MODULE'] = 'config.settings'
        django.setup()
